Skip to content

Retrieve the unassigned users

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Retrieves unassigned users for a collection based on the provided filter

Path
collectionIdstringrequired

Unique identifier for the collection

Query
filterstring, (scim-filter)(scim-filter)

A filter expression that filters users based on firstName, lastName, or email properties. The sw operator is supported for these properties.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Search for unassigned users with a first name that begins with "John"
filter=firstName sw "John"
Search for unassigned users with a first name, last name, or email that begins with "John"
filter=firstName sw "John" OR lastName sw "John" OR email sw "John"
GET
/governance/api/v1/collections/{collectionId}/catalog/users
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/collections/{collectionId}/catalog/users?filter=firstName%20sw%20%22John%22'

Responses

A list of users that can be assigned to a collection

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(principal-profile)
Response
List of unassigned users from a collection
{ "data": [ {} ], "_links": { "self": {} } }